import request from '@/utils/request'

// 材料申购列表
export function materialrequestLists(params: any) {
    return request.get({ url: '/material.material_purchase_request/lists', params })
}

// 添加材料申购
export function materialrequestAdd(params: any) {
    return request.post({ url: '/material.material_purchase_request/add', params })
}

// 编辑材料申购
export function materialrequestEdit(params: any) {
    return request.post({ url: '/material.material_purchase_request/edit', params })
}

// 删除材料申购
export function materialrequestDelete(params: any) {
    return request.post({ url: '/material.material_purchase_request/delete', params })
}

// 材料申购详情
export function materialrequestDetail(params: any) {
    return request.get({ url: '/material.material_purchase_request/detail', params })
}

